<body>
  <div class="container">
  
    <form #postForm="ngForm" (ngSubmit)="onCreatePost(postForm.value)">
    <div class="formcontainer">
    <h2 class="headingtitle"> Angular HTTP Request </h2> 
    <label><b>UserName</b></label>
    <input type="text" class="titleinput" name="username" ngModel required/><br><br>
    <label><b>Password</b></label>
    <input type="password" id="Password" class="contenttextarea" name="Password" ngModel required>
    <button type="submit" class="postbutton">Send </button>
    </div>
    <div>
     <div class="btn">
       <button class="fetchbutton">Fetch </button> |
       <button class="clearbutton">Clear </button>
     </div>
    </div>
    </form>
  </div>
  
</body>
